From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] Add example tmux(1) config
Date: Mon, 18 Jan 2021 17:59:00 +0100
Message-Id: <20210118165900.29859-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

Spawn one catgirl per network and handle reconnects through tmux,
no extra tool required.
---
 scripts/chat.tmux.conf | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 scripts/chat.tmux.conf

diff --git a/scripts/chat.tmux.conf b/scripts/chat.tmux.conf
new file mode 100644
index 0000000..9191b1a
--- /dev/null
+++ b/scripts/chat.tmux.conf
@@ -0,0 +1,31 @@
+# use `tmux -L chat -f ./chat.tmux.conf attach-session' (without any other
+# options or parameters) to access this session group in its own tmux server,
+# not interfering with existing servers/sessions/configurations
+new-session -t chat
+
+# intuitive navigation
+set-option -g	mode-keys	vi
+set-option -g	mouse	on
+
+# indicate new messages
+set-option -g	monitor-activity	on
+set-option -g	monitor-bell	on
+
+# hardcode names during window creation
+set-option -g	automatic-rename	off
+set-option -g	allow-rename	off
+set-option -g	set-titles	off
+set-option -g	renumber-windows	on
+
+# clients exit on network errors, restart them automatically
+# (use `kill-pane'/`C-b x' to destroy windows)
+set-option -g	remain-on-exit	on
+set-hook -g	pane-died	respawn-pane
+
+
+## do not double-quote commands to avoid running through "sh -c"
+
+# IRC
+new-window -n efnet	-- catgirl efnet
+new-window -n freenode	-- catgirl freenode
+new-window -n hackint	-- catgirl hackint
-- 
2.30.0


